<?php 

//提交短信 By yunsms

$post_data = array();
$post_data['userid'] = 635;	//企业ID（userid）登陆后台：https://cloud.yunsms.cn 通过“客户管理”-“我的信息”查询。
$post_data['account'] = 'test';	//账号
$post_data['password'] = 'test';	//密码
$post_data['content'] = '【云消息】您的验证码：8899'; 	//发送短信必须带前缀签名，无签名则失败，签名符号如：【云消息】验证码：9900
$post_data['mobile'] = '13800138000';
$url='http://116.62.155.121:8888/sms.aspx?action=send'; 	//提交结果返回xml格式，注意提交入口的编码
//$url='http://116.62.155.121:8888/sms.aspx?action=send&rt=json'; 	//提交结果返回json格式
$o='';
foreach ($post_data as $k=>$v)
{
   $o.="$k=".urlencode($v).'&';
}
$post_data=substr($o,0,-1);
$ch = curl_init();
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_URL,$url);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
//curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 	 //直接返回到变量里
$result = curl_exec($ch);

/*	

接入注意事项：（常见问题）
				1.内容乱码						------->>>>>> 编码不同，提交入口不同。sms.aspx为utf-8提交入口，smsGBK.aspx为GBK提交入口，如两个提交入口均乱码，重新转换一下文件编码。
				2.提示短信必须带【】格式签名	------->>>>>> 提交入口不正确导致乱码，系统识别不到【】签名；或发送短信时未带前缀签名；或定时短信sendtime格式错误，sendtime可为空，不能传0，示例中已去除。
				3.返回错误0						------->>>>>> 定时短信sendtime格式错误，sendtime可为空或具体时间，不能传0，示例中已去除。
				4.程序异常，请重试或联系客服！从字符串转换日期和/或时间时，转换失败。------->>>>>> 定时短信sendtime格式错误，sendtime可为空或具体时间，不能传0，示例中已去除。
				5.其他注意事项详见接口文档说明文件。
				
				
*/
?>